> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monxa.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer

> Delete a customer by its unique identifier.



## OpenAPI

````yaml api-reference/openapi.json delete /v1/customers
openapi: 3.0.1
info:
  title: Monxa API
  description: ''
  version: 1.0.0
servers: []
security:
  - Bearer: []
tags:
  - name: balances
  - name: customers
  - name: merchants
  - name: charges
  - name: payouts
paths:
  /v1/customers:
    delete:
      tags:
        - customers
      summary: Delete Customer
      description: Delete a customer by its unique identifier.
      parameters:
        - name: Id
          in: query
          description: ''
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
        '401':
          description: Unauthorized
          headers: {}
        '403':
          description: Forbidden
          headers: {}
        '404':
          description: Not Found
          headers: {}
        '409':
          description: Conflict
          headers: {}
        '429':
          description: Too Many Requests
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````